{
  "name": "{{ agave.appsPrefix }}-sanitizeme-paired-gf",
  "version": "0.2",
  "label": "Remove DNA in the provided FASTA reference from paired-end data",
  "defaultNodeCount": 1,
  "defaultMemoryPerNode": 1,
  "defaultProcessorsPerNode": 1,
  "executionType": "HPC",
  "parallelism": "SERIAL",
  "checkpointable": false,
  "executionSystem": "{{ agave.executionSystem }}",
  "deploymentPath": "{{ agave.appsDir }}/sanitizeme-paired-gf-0.2",
  "deploymentSystem": "{{ agave.deploymentSystem }}",
  "templatePath": "sanitizeme-paired-gf.sh",
  "testPath": "test/test.sh",
  "inputs": [
    { "id": "input",
      "value": {
        "required": true,
        "default": ""
      }
    }
  ],
  "parameters": [
    { "id": "reference",
      "value": {
        "required": true,
        "type": "string"
      }
    },
    { "id": "large_reference",
      "value": {
        "required": false,
        "default": "false",
        "type": "string"
      }
    },
    { "id": "threads",
      "value": {
        "required": false,
        "default": 2,
        "type": "number"
      }
    },
    { "id": "output",
      "value": {
        "required": true,
        "type": "string"
      }
    },
    { "id": "exec_method",
      "value": {
        "required": true,
        "default": "auto",
        "type": "string"
      }
    }
  ]
}